|  | Home | Documentation | uddi2__businessList Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__businessList Class Reference

Schema urn:uddi-org:api_v2:"businessList". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessList:
[legend]

## Public Attributes
uddi2__businessInfos * | businessInfos
| Element reference "urn:uddi-org:api_v2":businessInfos. More...
char * | generic
| Attribute generic of type xs:string. More...
char * | operator_
| Attribute operator of type xs:string. More...
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"businessList".

## Member Data Documentation

uddi2__businessInfos* uddi2__businessList::businessInfos

Element reference "urn:uddi-org:api_v2":businessInfos.

Required element

char* uddi2__businessList::generic

Attribute generic of type xs:string.

Required attribute

char* uddi2__businessList::operator_

Attribute operator of type xs:string.

Required attribute

struct soap* uddi2__businessList::soap

A handle to the soap struct context that manages this class instance.

enum uddi2__truncated* uddi2__businessList::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h